Create Payment Account
curl --request POST \
--url https://api.example.com/{version}/payment-accounts/create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"account_name": "<string>",
"provider": "<string>",
"method": "<string>",
"party_id": 123,
"country_code": "<string>",
"insensitive_account_number": "<string>"
}
'import requests
url = "https://api.example.com/{version}/payment-accounts/create"
payload = {
"account_name": "<string>",
"provider": "<string>",
"method": "<string>",
"party_id": 123,
"country_code": "<string>",
"insensitive_account_number": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
account_name: '<string>',
provider: '<string>',
method: '<string>',
party_id: 123,
country_code: '<string>',
insensitive_account_number: '<string>'
})
};
fetch('https://api.example.com/{version}/payment-accounts/create', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/{version}/payment-accounts/create",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'account_name' => '<string>',
'provider' => '<string>',
'method' => '<string>',
'party_id' => 123,
'country_code' => '<string>',
'insensitive_account_number' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"id": 123,
"account_name": "<string>",
"provider": "<string>",
"method": "<string>",
"party_id": 123,
"is_active": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"country_code": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}payment-accounts
Create Payment Account
POST
/
{version}
/
payment-accounts
/
create
Create Payment Account
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Allowed value:
"v1"Query Parameters
Available options:
COLLECTION, PAYOUT, TRANSFER, REFUND Body
application/json
Last modified on June 23, 2026
Was this page helpful?
